<script>
    //Details compte
    //btn modifier
    function modifier(id) {
        $('.mot_de_passe').prop('disabled', false);
        $('#btn_modif_compte').prop('disabled', true);
        $('#btn_enr_compte').prop('disabled', false);

        $('#mot_de_passe_user_id').val('');
        $('#nv_mot_de_passe').removeClass('is-hidden');
        $('#confirm_mot_de_passe').removeClass('is-hidden');
    }

    //Bouton enregistrer compte
    var id_user = 0;
    var compte_slug = "";

    function get_id(id) {
        id_user = id;
    }

    function get_compte_slug(slug) {
        compte_slug = slug;
    }

    $('#btn_enr_compte').on('click', function() {
        $('#info_compte').validate({
            rules: {
                nv_nom: {
                    required: true,
                },
                nv_prenom: {
                    required: true,
                },
                nv_nom_utilisateur: {
                    required: true,
                },
                mot_de_passe_user: {
                    required: true,
                },
                nv_mot_de_passe_user: {
                    required: true,
                    minlength: 8,
                },
                nv_mot_de_passe_user_confirm: {
                    required: true,
                    equalTo: '#nv_mot_de_passe_user_id',
                },
            },
            messages: {
                nom_user: {
                    required: "Le nom est obligatoire!",
                },
                prenom_user: {
                    required: "Le prénom est obligatoire!",
                },
                nom_utilisateur_user: {
                    required: "Le ne nom d'utilisateur est obligatoire !",
                },
                mot_de_passe_user: {
                    required: "Le mot de passe est obligatoire !",
                    minlength: "Le mot de passe doit faire au moins 8 caractères !",
                },
                nv_mot_de_passe_user: {
                    required: "Le nouveau mot de passe est obligatoire !",
                },
                nv_mot_de_passe_user_confirm: {
                    required: "La confirmation du mot de passe est obligatoire !",
                    equalTo: "Les deux mots de passe ne correspondent pas !",
                },
            },
            submitHandler: function() {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    url: "/accueil/comptes/compte/" + compte_slug + "/modifier",
                    type: "POST",
                    dataType: 'json',
                    beforeSend: function() {
                        $('#loader').removeClass('is-hidden')
                        $('*').css('pointer-events', 'none')
                    },
                    complete: function() { // Set our complete callback, adding the .hidden class and hiding the spinner.
                        $('#loader').addClass('is-hidden')
                        $('*').css('pointer-events', 'all')
                    },
                    data: {
                        mot_de_passe: $('#mot_de_passe_user_id').val(),
                        nv_mot_de_passe: $('#nv_mot_de_passe_user_id').val(),
                    },
                    success: function(response) {
                        if (response == false) {
                            $('#error_mot_de_passe').html(
                                'Vous n\'avez pas donné le bon mot de passe!');
                        } else {
                            window.location.replace('/accueil/comptes/compte/' +
                                compte_slug);
                        }
                    },
                    error: function(response) {
                        console.log(response);
                    }
                });
            }
        });
    });

    //Suppression compte
    $('#btn_supp_compte').on('click', function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            url: "/accueil/comptes/compte/" + compte_slug + "/delete",
            type: "POST",
            dataType: 'json',
            beforeSend: function() {
                $('#loader').removeClass('is-hidden')
                $('*').css('pointer-events', 'none')
            },
            complete: function() { // Set our complete callback, adding the .hidden class and hiding the spinner.
                $('#loader').addClass('is-hidden')
                $('*').css('pointer-events', 'all')
            },
            data: {

            },
            success: function(response) {
                if (response == true) {
                    window.location.replace(
                        '/accueil/comptes'
                    );
                }
            },
            error: function(response) {
                console.log(response);
            }
        });
    });

    //Reinitialisation password
    $('#btn_reinPassword').on('click', function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            url: "/accueil/comptes/compte/" + compte_slug + "/reinpassword",
            type: "POST",
            dataType: 'json',
            beforeSend: function() {
                $('#loader').removeClass('is-hidden')
                $('*').css('pointer-events', 'none')
            },
            complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
                $('#loader').addClass('is-hidden')
                $('*').css('pointer-events', 'all')
            },
            data: {

            },
            success: function(response) {
                if (response == true) {
                    window.location.replace(
                        '/accueil/comptes/compte/' + compte_slug,
                    );
                }
            },
            error: function(response) {
                console.log(response);
            }
        });
    });
</script>
